<template>
    <div id="AddMovie" class="component">
        <h1>Ajouter Film Préféré :</h1>
        <select class="form-control" name="user" v-model="user" v-on:change="updateSelectedId(user.id)">
            <option v-for="user in users"
                    v-bind:value="user">
                {{ user.pseudo }}
            </option>
        </select>

        <div v-if="visible">
            <div>
                <label>Movie</label>
                <input type="text" v-model="movie" />
            </div>
            <input type="submit" value="Add Movie" v-on:click="addMovie" />
        </div>
        <pre><code>{{ response }}</code></pre>
    </div>
</template>

<script>
    import axios from 'axios';

    export default {
        name: 'AddMovie',
        data () {
            return {
                users: '',
                user: '',
                movie: '',
                selectedId: 0,
                response: '',
                visible: 0,
            }
        },
        created() {
            this.getAllUsers()
        },
        methods: {
            getAllUsers: function() {
                axios
                    .get('http://127.0.0.1:8000/api/users')
                    .then(response => (this.users = response.data.data),
                         (error) => (this.users = error.response.data))
            },
            addMovie: function() {
                let body = {
                    selectedId: this.selectedId,
                    movie: this.movie
                };

                axios({
                    method: 'post',
                    url: 'http://127.0.0.1:8000/api/users/movies',
                    data: body
                }).then(response => (this.response = response.data),
                    (error) => (this.response = error.response.data));

                // Si on veut voir le résultat échanger les lignes commentées ci-dessous, seul ce composant sera mit à jour
                /*
                this.getAllUsers();
                this.visible = 0;
                this.user = '';
                this.movie = '';
                */
                location.reload();
            },
            updateSelectedId: function (id) {
                this.selectedId = id;
                this.visible = 1;
            }
        }
    }
</script>